% Plotter de 82 felles observasjonene av snødybde for Rybekken og Sylsjødammen i samme
% plott for sammenlikning
% INPUT: Forkortede .txt-filer som kun inneholder de observasjonene som er felles
% for de to stasjonene, med snødybde i andre kolonne.
clc, clear all, close all

% Last inn data
sylsjodammen = load('sylsjodammen_kort.txt');
rybekken = load('rybekken_kort.txt');

% Hent ut observasjonene av snødybde
x1 = sylsjodammen(:,2);
x2 = rybekken(:,2);

% Lag figur
figure(1), hold on % Åpne figurvindu, sett på hold
plot(x1,'ro','LineWidth',2);
plot(x2,'bx','LineWidth',2);
title('{Par av korresponderende observasjoner}','FontWeight','bold');
legend('{Rybekken}','{Sylsjodammen}')
xlabel('Observasjon nr.')
ylabel('{Dybde (cm)}')
box on % Ramme rundt plottet
hold off


