% Beregner et 100(1-b)% konfidensintervall for forholdet mellom
% variansene av snødybde ved Rybekken og Sylsjødammen.
% Bruker F-fordelingen, se W.M.M.Y kap. 8.7
clear all, close all, clc

% Last inn data
rybekken = load('rybekken.txt');
sylsjodammen = load('sylsjodammen.txt');

x1 = sylsjodammen(:,2);
x2 = rybekken(:,2);

% Lagre antall observasjoner
n1 = length(x1);
n2 = length(x2);

% Gjennomsnitt
x1_bar = mean(x1);
x2_bar = mean(x2);

% Estimater for variansen (kunne også brukt var(x1),var(x2) )
s12 = sum((x1 - x1_bar).^2)/(n1 - 1);
s22 = sum((x2 - x2_bar).^2)/(n2 - 1);

% Sett konfidensnivå og antall frihetsgrader
b = 0.05;
v1 = n1 - 1;
v2 = n2 - 1;

% Finn ytterpunktene på intervallet ved å evaluere den inverse
% kumulative fordelingsfunksjonen til F-fordelingen
lower = (s12/s22)/icdf('f',1-b/2,v1,v2);
upper = (s12/s22)/icdf('f',b/2,v1,v2);

% Skriv svaret til skjerm
fprintf('Estimat for forholdet emllom variansene: %.4f\n%i prosent konfidensintervall: (%.4f, %.4f).\n',s12/s22,100*(1-b),lower,upper)
